#include <stdio.h>
#include <string.h>
#include <ctype.h>

int main() {
    char input_str[256];
    fgets(input_str, sizeof(input_str), stdin);

    int sum = 0;
    char num_str[256] = "";  
    int num = 0;
	int i;
    for (i = 0; i < strlen(input_str); i++) {
        if (isdigit(input_str[i])) {
            strncat(num_str, &input_str[i], 1);  
        } else {
            if (strlen(num_str) > 0) {
                num = atoi(num_str);  
                sum += num;  
                memset(num_str, 0, sizeof(num_str));  
            }
        }
    }

    if (strlen(num_str) > 0) {
        num = atoi(num_str);  
        sum += num;  
    }

    printf("%d\n", sum);

    return 0;
}
